%define major		0
%define gi_major	1.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gi_major}

%define build_zeitgeist_plugin 1

Name:           xplayer
Version:        2.4.4
Release:        %mkrel 2
Summary:        Generic media player
License:        GPL-2.0+ and LGPL-2.1+
Group:          Video/Players
Url:            https://github.com/linuxmint/xplayer
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch1:         0001-Fix-compiler-errors-related-to-invalid-type-casts.patch
BuildRequires:  gcc-c++
BuildRequires:  gnome-common
BuildRequires:  gstreamer1.0-plugins-good >= 0.11.93
# For gst-inspect tool
BuildRequires:  gstreamer1.0-tools >= 0.11.93
BuildRequires:  pkgconfig(liblircclient0)
BuildRequires:  vala >= 0.14.1
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(%{name}-plparser)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(clutter-1.0) >= 1.10.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.0.2
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.82
BuildRequires:  pkgconfig(glib-2.0) >= 2.33.0
BuildRequires:  pkgconfig(grilo-0.3)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 0.11.93
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0) >= 1.0.2
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= 0.11.93
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.5.2
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  pkgconfig(libepc-ui-1.0) > 0.4.0
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.1.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:  pkgconfig(pygobject-3.0) >= 2.90.3
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xapp)
# Needed for scaletempo (boo#810378, boo#809854).
Requires:       gstreamer1.0-plugins-bad
# We want a useful set of plugins.
Requires:       gstreamer1.0-plugins-base
Requires:       gstreamer1.0-plugins-good
Requires:       iso-codes
Recommends:	grilo-plugins
Requires:	gstreamer1.0-soundtouch
Requires:	%arch_tagged gstreamer1(element-scaletempo)
Requires:	gstreamer1.0-soup
Recommends:	gstreamer1.0-resindvd
Recommends:	gstreamer1.0-a52dec
Recommends:	gstreamer1.0-libav
Recommends:     %{name}-lang
Recommends:     %{name}-plugins
Recommends:     gnome-dvb-daemon
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(clutter-gst-3.0) >= 2.99.2
# Required for cluttersink.
Requires:       gstreamer1.0-gstclutter3
BuildRequires:  itstool

%if %{build_zeitgeist_plugin}
BuildRequires:  pkgconfig(zeitgeist-2.0) >= 0.9.12
%else
Obsoletes:      xplayer-plugin-zeitgeist <= %{version}
%endif

Obsoletes:	xplayer-browser-plugin <= %{version}-%{release}
Obsoletes:	xplayer-browser-plugin-gmp <= %{version}-%{release}
Obsoletes:	xplayer-browser-plugin-vegas <= %{version}-%{release}

BuildRequires:	python3-devel
BuildRequires:	python3-pylint

%description
xplayer is a media player based on GStreamer for the Cinnamon
desktop and others. It features a playlist, a full-screen mode,
seek and volume controls, and complete keyboard navigation.

%package plugins
Summary:        Plugins for xplayer media player
Group:          Video/Players
Requires:       %{name} = %{version}
# Brasero plugin.
Recommends:     brasero
# BBC iPlayer plugin.
Recommends:     python3-beautifulsoup
Recommends:     python3-httplib2
# Gromit Annotation plugin.
Suggests:       gromit

%description plugins
xplayer is a media player based on GStreamer for the Cinnamon
desktop and others. It features a playlist, a full-screen mode,
seek and volume controls, and complete keyboard navigation.

This package includes plugins for xplayer, to add advanced features.

%if %{build_zeitgeist_plugin}
%package plugin-zeitgeist
Summary:        Plugins for xplayer media player -- Zeitgeist Support
Group:          Video/Players
Requires:       %{name} = %{version}
Supplements:    packageand(%{name}:zeitgeist)

%description plugin-zeitgeist
xplayer is a media player based on GStreamer for the Cinnamon
desktop and others. It features a playlist, a full-screen mode,
seek and volume controls, and complete keyboard navigation.

This package includes the Zeitgeist plugin for xplayer.
%endif

%package devel
Summary:        Development files for xplayer media player
Group:          System/Libraries
Requires:       %{name} = %{version}

%description devel
xplayer is a media player based on GStreamer for the Cinnamon
desktop and others. It features a playlist, a full-screen mode,
seek and volume controls, and complete keyboard navigation.

This package contains files for development.

%package doc
Summary:	Documentation files for %{name}
BuildArch:	noarch
BuildRequires:	gtk-doc

%description doc
This package contains the documentation files for %{name}.



%lang_package

%prep
%autosetup -p1

# Fix shebang to python3.
f="data/%{name}-bugreport.py"
sed -e 's~^#!%{_bindir}/python$~#!%{__python3}~'		\
	< ${f} > ${f}.new
/bin/touch -r ${f} ${f}.new
mv -f ${f}.new ${f}

%build
NOCONFIGURE=1 gnome-autogen.sh
export BROWSER_PLUGIN_DIR=%{_libdir}/browser-plugins/
export PYTHON=%{__python3}
%configure \
  --disable-static \
  --disable-Werror \
  --enable-gtk-doc \
  --enable-introspection
%make_build

%install
%make_install
# Remove SWF (#72417) and any Real (#72985) MIME types.
sed -i ':1;s/^\(MimeType=.*\);[^;]*\(real\|shockwave-flash\)[^;]*/\1/;t1' \
  %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name} --with-gnome
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_bindir}/%{name}*
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.x.player.enums.xml
%{_datadir}/glib-2.0/schemas/org.x.player.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_datadir}/icons/hicolor/*/devices/%{name}*.*
%{_datadir}/icons/hicolor/*/actions/%{name}*.*
%dir %{_datadir}/thumbnailers/
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_datadir}/%{name}/
%{_mandir}/man?/%{name}*.*
# Own directories for plugins.
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
# Be careful here: libdir contains plugins while libexecdir
# contains a small utility for the main package.
%if "%{_libdir}" != "%{_libexecdir}"
%dir %{_libexecdir}/%{name}/
%endif
%{_libexecdir}/%{name}/%{name}-bugreport.py*
%{_libdir}/lib%{name}.so.*
%{_libdir}/girepository-1.0/Xplayer-1.0.typelib

%files plugins
# Explicitly list plugins.
%{_libdir}/%{name}/plugins/apple-trailers/
%{_libdir}/%{name}/plugins/autoload-subtitles/
%{_libdir}/%{name}/plugins/brasero-disc-recorder/
%{_libdir}/%{name}/plugins/chapters/
%{_libdir}/%{name}/plugins/dbus/
%{_libdir}/%{name}/plugins/grilo/
%{_libdir}/%{name}/plugins/gromit/
%{_libdir}/%{name}/plugins/im-status/
%{_libdir}/%{name}/plugins/lirc/
%{_libdir}/%{name}/plugins/media-player-keys/
%{_libdir}/%{name}/plugins/ontop/
%{_libdir}/%{name}/plugins/opensubtitles/
%{_libdir}/%{name}/plugins/properties/
%{_libdir}/%{name}/plugins/pythonconsole/
%{_libdir}/%{name}/plugins/recent/
%{_libdir}/%{name}/plugins/rotation/
%{_libdir}/%{name}/plugins/screensaver/
%{_libdir}/%{name}/plugins/screenshot/
%{_libdir}/%{name}/plugins/skipto/
%{_libdir}/%{name}/plugins/vimeo/
%{_datadir}/glib-2.0/schemas/org.x.player.plugins.opensubtitles.gschema.xml
%{_datadir}/glib-2.0/schemas/org.x.player.plugins.pythonconsole.gschema.xml

%if %{build_zeitgeist_plugin}
%files plugin-zeitgeist
%{_libdir}/%{name}/plugins/zeitgeist-dp/
%endif

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/*.gir

%files doc
%doc %{_datadir}/doc/%{name}*
%doc %{_datadir}/gtk-doc



%changelog
* Sat Sep 28 2024 daviddavid <daviddavid> 2.4.4-2.mga10
+ Revision: 2101692
- backport upstream patch to fix build with GCC 14
- add opensuse patch to fix build

* Sun Aug 07 2022 joequant <joequant> 2.4.4-1.mga9
+ Revision: 1875901
- update to 2.4.4

* Fri Oct 22 2021 joequant <joequant> 2.4.2-1.mga9
+ Revision: 1752641
- update to 2.4.2

* Fri Dec 11 2020 joequant <joequant> 2.2.9-1.mga8
+ Revision: 1655293
- update to 2.2.9

* Tue Dec 08 2020 joequant <joequant> 2.2.8-1.mga8
+ Revision: 1654546
- add source
- update to 2.2.8

* Sat May 16 2020 joequant <joequant> 2.2.6-1.mga8
+ Revision: 1584311
- update to 2.2.6

* Sat May 02 2020 joequant <joequant> 2.2.5-1.mga8
+ Revision: 1577671
- update to 2.2.5

* Sun Feb 16 2020 umeabot <umeabot> 2.0.2-4.mga8
+ Revision: 1534280
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 02 2019 tv <tv> 2.0.2-3.mga8
+ Revision: 1448871
- rebuild for libpeas

* Thu Aug 08 2019 tv <tv> 2.0.2-2.mga8
+ Revision: 1428114
- rebuild with latest libpeas

* Sun Feb 03 2019 joequant <joequant> 2.0.2-1.mga7
+ Revision: 1362792
- update to 2.0.2

* Sun Sep 23 2018 umeabot <umeabot> 1.8.3-2.mga7
+ Revision: 1301962
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 joequant <joequant> 1.8.3-1.mga7
+ Revision: 1241017
- update to 1.8.3

* Sat Dec 16 2017 joequant <joequant> 1.6.1-1.mga7
+ Revision: 1182928
- upgrade to 1.6.1

* Sat Sep 09 2017 joequant <joequant> 1.4.3-2.mga7
+ Revision: 1152262
- rebuild

* Mon Jul 17 2017 joequant <joequant> 1.4.3-1.mga7
+ Revision: 1123970
- upgrade to 1.4.3

* Sun Jan 29 2017 joequant <joequant> 1.2.2-1.mga6
+ Revision: 1083915
- fix build
- upgrade to 1.2.2

* Sat Jun 25 2016 joequant <joequant> 1.0.6-3.mga6
+ Revision: 1037640
- fix string to pass tests
- modify arabic string to pass tests
- fix lang patches
- imported package xplayer

